Bug 56924 - DNSSEC tools in BIND segfaults
Summary: DNSSEC tools in BIND segfaults
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-30 14:06 UTC by Need Real Name
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-08 17:24:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace from running dnssec-keygen (15.14 KB, text/plain)
2001-12-06 23:24 UTC, Need Real Name
no flags Details

Description Need Real Name 2001-11-30 14:06:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010913

Description of problem:
The DNSSEC key generating tool in BIND doesn't work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
By running "dnssec-keygen", see output below.

Actual Results:  [root@yxa root]# dnssec-keygen -a RSA -b 512 -n zone
josefsson.org.
dnssec-keygen: failed to generate key josefsson.org/RSAMD5: openssl failure

[root@yxa root]# 

Expected Results:  It should have generated a RSA key for my zone!

Additional info:

Comment 1 Bernhard Rosenkraenzer 2001-12-03 14:26:55 UTC
Works here... Does 9.2.0-1 (rawhide) still crash for you?


Comment 2 Need Real Name 2001-12-06 23:24:33 UTC
Created attachment 39987 [details]
strace from running dnssec-keygen

Comment 3 Need Real Name 2001-12-06 23:28:45 UTC
No, it does not work, but now there is a different problem.  It seems as if 
the command never terminates.  See the attached strace output.


Comment 4 Need Real Name 2001-12-08 17:24:44 UTC
Ok, I am an idiot.  It does work, it just takes long time.  I would expect RSA
key generation to take long time, but I also expect it to be CPU bound which
wasn't the case, and the strace looked weird.

Conclusion: RedHat 7.2 "bind" package does not work.  RawHide bind package does
work.


Note You need to log in before you can comment on or make changes to this bug.